Create a new consignment import

Body·
application/json
  • attachments
    Type: array object[] ·
    deprecated

    A collection of attachment files for the consignment.

  • carrierCode
    Type: string | null

    The 3- or 4-digit code identifying the carrier.

  • carrierReference
    Type: string | null

    The carrier's reference

  • clientCode
    Type: string | null

    The client code.

  • consignmentType
    Type: integerenum

    Integer numbers.

    values
    • PointToPoint = 0
    • Inwards = 1
    • Outwards = 2
  • containerGrossWeightKG
    Type: number | nullFormat: double

    The container gross weight in kilograms.

  • containerNumber
    Type: string | null

    The container number.

  • containerSealNumber
    Type: string | null

    The container seal number.

  • containerSize
    Type: integerenum

    Integer numbers.

    values
    • TenFoot = 1
    • TwentyFoot = 2
    • FortyFoot = 3
    • FortyFiveFoot = 4
  • containerTareWeightKG
    Type: number | nullFormat: double

    The container tare weight in kilograms.

  • containerType
    Type: integerenum

    Integer numbers.

    values
    • GeneralPurpose = 1
    • GeneralPurposeHighCube = 2
    • Refrigerated = 3
    • RefrigeratedHighCube = 4
    • RefrigeratedNotOperating = 5
  • containerVesselName
    Type: string | null

    The container's vessel's name.

Responses
  • application/json
Request Example for post/v1/consignment-imports
curl https://api.consignlyhq.com/v1/consignment-imports \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "idempotencyKey": null,
  "consignmentType": "enum (PointToPoint = 0, Inwards = 1, Outwards = 2)",
  "clientCode": null,
  "referenceNumber": null,
  "externalId": null,
  "carrierCode": null,
  "carrierReference": null,
  "enteredDate": null,
  "expectedArrivalDateTime": null,
  "expectedDispatchDateTime": null,
  "expectedDeliveryDateTime": null,
  "originAddress": {
    "code": null,
    "name": null,
    "email": null,
    "phone": null,
    "streetAddress": null,
    "suburb": null,
    "city": null,
    "state": null,
    "postCode": null,
    "country": null,
    "latitude": null,
    "longitude": null
  },
  "originAddressAttention": null,
  "destinationAddress": {
    "code": null,
    "name": null,
    "email": null,
    "phone": null,
    "streetAddress": null,
    "suburb": null,
    "city": null,
    "state": null,
    "postCode": null,
    "country": null,
    "latitude": null,
    "longitude": null
  },
  "destinationAddressAttention": null,
  "destinationAuthorityToLeave": null,
  "warehouseCode": null,
  "containerSize": "enum (TenFoot = 1, TwentyFoot = 2, FortyFoot = 3, FortyFiveFoot = 4)",
  "containerType": "enum (GeneralPurpose = 1, GeneralPurposeHighCube = 2, Refrigerated = 3, RefrigeratedHighCube = 4, RefrigeratedNotOperating = 5, RefrigeratedNotOperatingHighCube = 6, OpenTop = 7, OpenTopHighCube = 8, FlatRack = 9, FlatRackHighCube = 10, Tank = 11, TankHighCube = 12)",
  "containerNumber": null,
  "containerSealNumber": null,
  "containerTareWeightKG": null,
  "containerGrossWeightKG": null,
  "containerVesselName": null,
  "containerVoyage": null,
  "containerYardCode": null,
  "containerYardReference": null,
  "dischargeShippingPortCode": null,
  "loadShippingPortCode": null,
  "deliveryInstructions": null,
  "pickingInstructions": null,
  "receiversReference": null,
  "sendersReference": null,
  "poNumber": null,
  "soNumber": null,
  "serviceTypeCodes": [
    ""
  ],
  "notes": [
    {
      "note": null,
      "displayOnPrintOut": true,
      "attachments": [
        {
          "fileName": null,
          "contentType": null,
          "content": null,
          "downloadUrl": null
        }
      ]
    }
  ],
  "products": [
    {
      "productCode": null,
      "goodsDescription": null,
      "batch": null,
      "bestBeforeDate": null,
      "expiryDate": null,
      "packagingDate": null,
      "productionDate": null,
      "sellByDate": null,
      "logisticUnitSsccNumber": null,
      "logisticUnitReferenceNumber": null,
      "isManualReconciliationRequired": true,
      "criticalStockStatus": "enum (CriticalStock = 1, NonCriticalStock = 2)",
      "attributes": [
        {
          "name": null,
          "description": null
        }
      ],
      "items": [
        {
          "serial": null,
          "quantity": 1,
          "weightKG": null,
          "volumeM3": null
        }
      ]
    }
  ]
}'
{
  "consignmentId": "00000000-0000-0000-0000-000000000000"
}